
    function function_checked(){
        
        $(".a").chosen('destroy');
    }


    var currentTab = 0; // Current tab is set to be the first tab (0)
    showTab(currentTab); // Display the current tab

    function showTab(n) {
      // This function will display the specified tab of the form...
      var x = document.getElementsByClassName("tab");
      x[n].style.display = "block";
      //... and fix the Previous/Next buttons:
      if (n == 0) {
        document.getElementById("prevBtn").style.display = "none";
      } else {
        document.getElementById("prevBtn").style.display = "inline";
      }
      if (n == (x.length - 1)) {
        document.getElementById("nextBtn").innerHTML = "Submit <span class='fa fa-save'></span>";
      } else {
        document.getElementById("nextBtn").innerHTML = "Next <span class='fa fa-angle-right'></span>";
      }
      //... and run a function that will display the correct step indicatorkey: "value", 

      fixStepIndicator(n)
    }

    function nextPrev(n) {
      // This function will figure out which tab to display
      var x = document.getElementsByClassName("tab");
      // Exit the function if any field in the current tab is invalid:
      if (n == 1 && !validateForm()) return false;
      // Hide the current tab:
      x[currentTab].style.display = "none";
      // Increase or decrease the current tab by 1:
      currentTab = currentTab + n;
      // if you have reached the end of the form...
      if (currentTab >= x.length) {
        // ... the form gets submitted:
        document.getElementById("regForm").submit();
        return false;
      }
      $('.acc-name').html( $('.account_name').val());
      $('.acc-number').html( $('.acc_number').val());
      $('.avai-amount').html("$"+parseFloat($('.avaible_amount').val()).toFixed(2));
      $('.credit-amount').html("$"+parseFloat($('.credit_amount').val()).toFixed(2));
      $('.remark').html( $('.remarks').val());
      // Otherwise, display the correct tab:
      showTab(currentTab);
    }

    function validateForm() {
      // This function deals with validation of the form fields
      var x, y, i, valid = true;
      x = document.getElementsByClassName("tab");
      y = x[currentTab].getElementsByTagName("input");
      // A loop that checks every input field in the current tab:
      for (i = 0; i < y.length; i++) {
        // If a field is empty...
        if (y[i].value == "") {
          // add an "invalid" class to the field:
          y[i].className += " invalid";
          // and set the current valid status to false
          valid = false;
        }
      }
      // If the valid status is true, mark the step as finished and valid:
      if (valid) {
        document.getElementsByClassName("step")[currentTab].className += " finish";
      }
      return valid; // return the valid status
    }

    function fixStepIndicator(n) {
      // This function removes the "active" class of all steps...
      var i, x = document.getElementsByClassName("step");
      for (i = 0; i < x.length; i++) {
        x[i].className = x[i].className.replace(" active", "");
      }
      //... and adds the "active" class on the current step:
      x[n].className += " active";
    }

    $('.credit_amount').keyup(function(e){
      var avaible_amount = parseFloat($('.avaible_amount').val());
      var credit_amount = parseFloat($(this).val());
      if(avaible_amount  < credit_amount){
        $('.message').html('Your amount withdraw is bigger than amount available!');
        $('.message').show();
      }else if(avaible_amount  > credit_amount){
        $('.message').hide();
      }else if(!$.isNumeric(credit_amount)){
        $('.message').html('Please Input Number !');
        $('.message').show();
      }else if($.isNumeric(credit_amount)){
        $('.message').hide();
      }
  });




    $(".credit_amount, .avaible_amount").keydown(function (e) {
      if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
         (e.keyCode == 65 && e.ctrlKey === true) ||
         (e.keyCode >= 35 && e.keyCode <= 39)) {
            return;

      }
      if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && 
         (e.keyCode < 96 || e.keyCode > 105)) {
            e.preventDefault();
      }
    });
